## ros-lunar-xmlrpcpp 1.13.7

=== debian/changelog ===
ros-lunar-xmlrpcpp (1.13.7-0stretch) stretch; urgency=high

  * fixes for OSX (#1402 <https://github.com/ros/ros_comm/issues/1402>)
  * take XmlRpcValue by *const* ref. in operator<< (#1350 <https://github.com/ros/ros_comm/issues/1350>)
  * fix various compiler warnings on bionic (#1325 <https://github.com/ros/ros_comm/issues/1325>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-lunar-xmlrpcpp (1.13.6-0stretch) stretch; urgency=high

  * fix xmlrpc timeout using monotonic clock (#1249 <https://github.com/ros/ros_comm/issues/1249>)
  * add tests and bug fixes for XmlRpcServer (#1243 <https://github.com/ros/ros_comm/issues/1243>)
  * add test and fix uninitialized data in XmlRpcClient (#1244 <https://github.com/ros/ros_comm/issues/1244>)
  * make xmlrpcpp specific include directory work in devel space (#1261 <https://github.com/ros/ros_comm/issues/1261>)
  * add base64 tests (#1242 <https://github.com/ros/ros_comm/issues/1242>)
  * add unit tests for XmlRpcDispatch (#1232 <https://github.com/ros/ros_comm/issues/1232>)
  * add unit tests and bug fixes for XmlRpcClient (#1221 <https://github.com/ros/ros_comm/issues/1221>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-lunar-xmlrpcpp (1.13.5-0stretch) stretch; urgency=high

  * add unit tests and bug fixes for XmlRpcSocket (#1218 <https://github.com/ros/ros_comm/issues/1218>)
  * add tests for XmlRpcValue and XML conversion (#1216 <https://github.com/ros/ros_comm/issues/1216>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-lunar-xmlrpcpp (1.13.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-lunar-xmlrpcpp (1.13.3-0stretch) stretch; urgency=high

  * fix problem when configuring tests without gtest being available (#1197 <https://github.com/ros/ros_comm/issues/1197>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-xmlrpcpp (1.13.2-0stretch) stretch; urgency=high

  * use poll() in favor of select() in the XmlRPCDispatcher (#833 <https://github.com/ros/ros_comm/issues/833>)
  * fix fall through warnings with g++ 7 (#1139 <https://github.com/ros/ros_comm/issues/1139>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-lunar-xmlrpcpp (1.13.1-0stretch) stretch; urgency=high

  * switch to libb64 for base64 encoding/decoding (#1046 <https://github.com/ros/ros_comm/issues/1046>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-xmlrpcpp (1.13.0-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-xmlrpcpp (1.12.7-0stretch) stretch; urgency=high

  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-xmlrpcpp (1.12.6-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.12.5-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.12.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.12.3-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.12.2-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.12.1-0stretch) stretch; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.12.0-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.18-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.17-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-lunar-xmlrpcpp (1.11.16-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-lunar-xmlrpcpp (1.11.15-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.14-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.13-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.12-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.11-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.10-0stretch) stretch; urgency=high

  * improve Android support (#537 <https://github.com/ros/ros_comm/pull/537>)
  * fix various defects reported by coverity

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-lunar-xmlrpcpp (1.11.9-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.8-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.7-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-lunar-xmlrpcpp (1.11.6-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000


