=== debian/control ===
Source: ros-lunar-xmlrpcpp
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-lunar-catkin, ros-lunar-cpp-common, ros-lunar-rostime (>= 0.6.9)
Homepage: http://xmlrpcpp.sourceforge.net
Standards-Version: 3.9.2

Package: ros-lunar-xmlrpcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-cpp-common, ros-lunar-rostime (>= 0.6.9)
Description: XmlRpc++ is a C++ implementation of the XML-RPC protocol.
 This version is heavily modified from the package available on SourceForge in order to support roscpp's threading model. As such, we are maintaining our own fork.
